Dev guideRecipesAPI ReferenceChangelog
Dev guideRecipesUser GuidesNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Update a SCIM group by ID

SCIM endpoint for updating a group by its ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Updates a group in the organization. The updated group with its attributes is returned to the client. You can update the value for the following attributes:

  • members – The users inside the group.
  • DisplayName – The display name of the group.

You cannot update the value for the following attribute:

  • id – Mapped to the identifier of the group.

SCIM RFC compliance

This endpoint fully complies with the SCIM RFC as it relates to the supported schema.

API payload

{  
   "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],  
   "id":"{{group-id}}",  
   "displayName": "{{display-name}}",  
    "members":[  
        {  
          "value": "{{user1}}",  
          "display":"user name 1"  
        },  
        {  
          "value":"{{user2}}",  
          "display":"user name 2"  
        }  
    ]  
}

Error conditions

  • 404 (Not Found) – A group with the specified ID is not found.
Path Params
string
required

ID of the group to update.

Responses

401

Unauthorized access to endpoint.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json